{smcl}
{* *! version 1.0.1  30june2010}{...}
{cmd:help fcf} 
{hline}

{title:Title}

{p2colset 5 19 21 2}{...}
{p2col :{cmd:fcf}} Ferrer-i-Carbonell and Frijters (2004) conditional logit estimation for ordered 
dependent variables {p_end}
{p2colreset}{...}


{title:Syntax}

{p 8 15 2}
{cmdab:fcf} 
{depvar} 
[{indepvars}] 
{ifin} 
{cmd:,} 
{bind:{cmdab:gr:oup:(}{varname}{cmd:)} [{it:options}]}

{synoptset 26 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Model}
{p2coldent :* {opth gr:oup(varname)}}matched group variable{p_end}
{synopt :{opth start:values(numlist)}}Specify manually first-step values for Hessian calculation{p_end}

{syntab:SE/Robust}
{synopt :{opth vce(vcetype)}}{it:vcetype} may be {opt oim},
{opt r:obust}, {opt cl:uster} {it:clustvar},
{opt opg}, {opt boot:strap}, or {opt jack:knife}{p_end}

{syntab:Reporting}
{synopt :{opt l:evel(#)}}set confidence level; default is
{cmd:level(95)}{p_end}
{synopt :{opt or}}report odds ratios{p_end}
{synopt :{opt dep:var(string)}}generate recoded dependent variable named "string"{p_end}

{syntab:Max options}
{synopt :{opt groupm:ean}}apply different - group mean - recoding for first-step {help cdm:clogit}{p_end}
{synopt :{opt it:erate(#)}}set maximum  number of iterations for both {help cdm:clogit} estimations;
default is {cmd:iterate(30)}{p_end}

{title:Description}

{pstd}
{cmd:fcf} Fits a Ferrer-i-Carbonell and Frijters (2004) based estimation model. It is applied to ordinally
		scaled dependent variables. Designed for panel data, it runs a two-step regression that accounts
		  for fixed effects making use of Chamberlain's conditional logit likelihood function. Specification of 
		  a group variable {opt group(varname)} is required. 
		  Before estimations start, the dependent variable is recoded as in Ferrer-i-Carbonell and Frijters
		  (2004). The recoded dependent variable is then regressed on the user-specified independent 
		  variables using {help cmd:clogit}. From the results, per-group hessian matrices are calculated
		  in order to perform a final recoding of the dependent variable that minimizes the variance of the
		  Maximum Likelihood estimator - see Riedl and Geishecker (2010). In the second step, the newly
          recoded variable is again regressed on the specified independent variables using clogit.   
      
{pstd} {bf:note:} Please take into account that we only guarantee a fully functional estimator for a maximum number
			of 23 observations per group.
          


{title:Options}

{dlgtab:Model}

{phang}
{opth group(varname)} is required; it specifies an identifier variable
(numeric or string) for the matched groups.  

{phang}
{opth startvalues(numlist)} User chooses to skip first-step estimation and to specify 
the otherwise resulting values manually. These values are used to calculate the 
group-specific Hessian matrices. Note that since the first-step estimation also 
serves as a check for multicollinearity, by choosing this option it becomes the user's 
responsibility to do so in advance. Else, the Hessian calculations might be rendered incorrect.

{dlgtab:SE/Robust}

{phang}
Note that prefixes are not allowed with {cmd:fcf}.

INCLUDE help vce_asymptall


{dlgtab:Reporting}

{phang}
{opt level(#)}; see
{helpb estimation options##level():[R] estimation options}.

{phang}
{opt or} reports the estimated coefficients transformed to odds ratios,
i.e., exp(b) rather than b.  Standard errors and confidence intervals are
similarly transformed.  This option affects how results are displayed, not how
they are estimated.  

{phang}
{opt dep:var(string)} explicitly generates a variable containing the recoded 
dependent variable for the second-step {cmd:clogit} estimation. 


{marker maximize_options}{...}
{dlgtab:Max options}

{phang}
{opt groupm:ean} if chosen, this option implies the use of group mean 
recoding for the dependent variable in the first-step {cmd:clogit} estimation.

{phang}
{opt iter:ate(#)} set maximum number of iterations for both {cmd:clogit} estimations; 
see {manhelp maximize R}.  These options are seldom used.


{title:Examples}

    {hline}
{pstd}Setup{p_end}
{phang2}{stata "use http://www.uni-goettingen.de/de/document/download/8ae37cd2301560be19c0b653ffc18df7.dta/fcf_test.dta" : . use http://www.uni-goettingen.de/de/document/download/8ae37cd2301560be19c0b653ffc18df7.dta/fcf_test.dta }{p_end}

{pstd}Fit FCF regression {p_end}
{phang2}{stata "fcf y x1 x2 x3, group(id)" : . fcf y x1 x2 x3, group(id)}{p_end}

{pstd}Fit FCF regression reporting odds ratios, using group mean coding{p_end}
{phang2}{stata "fcf y x1 x2 x3, group(id) or groupm" : . fcf y x1 x2 x3, group(id) or groupm}{p_end}
    {hline}


{title:Saved results}

{pstd}
{cmd:fcf} saves the following in {cmd:e()}:

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Scalars}{p_end}
{pstd}{it:Second-step estimation:}{p_end}
{synopt:{cmd:e(N)}}number of observations{p_end}
{synopt:{cmd:e(N_drop)}}number of observations dropped due to all positive or
  negative outcomes{p_end}
{synopt:{cmd:e(N_group_drop)}}number of groups dropped due to all positive or
  negative outcomes{p_end}
{synopt:{cmd:e(k)}}number of parameters{p_end}
{synopt:{cmd:e(k_eq)}}number of equations in {cmd:e(b)}{p_end}
{synopt:{cmd:e(k_eq_model)}}number of equations in model Wald test{p_end}
{synopt:{cmd:e(k_dv)}}number of dependent variables{p_end}
{synopt:{cmd:e(df_m)}}model degrees of freedom{p_end}
{synopt:{cmd:e(r2_p)}}pseudo-R-squared{p_end}
{synopt:{cmd:e(ll)}}log likelihood{p_end}
{synopt:{cmd:e(ll_0)}}log likelihood, constant-only model{p_end}
{synopt:{cmd:e(N_clust)}}number of clusters{p_end}
{synopt:{cmd:e(chi2)}}chi-squared{p_end}
{synopt:{cmd:e(p)}}significance{p_end}
{synopt:{cmd:e(rank)}}rank of {cmd:e(V)}{p_end}
{synopt:{cmd:e(ic)}}number of iterations{p_end}
{synopt:{cmd:e(rc)}}return code{p_end}
{synopt:{cmd:e(converged)}}{cmd:1} if converged, {cmd:0} otherwise{p_end}
{pstd}{it:First-step estimation:} not reported when option {it:startvalues} specified {p_end}
{synopt:{cmd:e(N_1)}}number of observations used in first-step
 clogit estimation{p_end}
{synopt:{cmd:e(er_1)}}{cmd:1} if not converged in first-step estimation,
 {cmd:0} otherwise{p_end}
{synopt:{cmd:e(ll_1)}}log likelihood of first-step estimation{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:fcf}{p_end}
{synopt:{cmd:e(cmdline)}}command as typed{p_end}
{synopt:{cmd:e(depvar)}}name of dependent variable{p_end}
{synopt:{cmd:e(group)}}name of {cmd:group()} variable{p_end}
{synopt:{cmd:e(title)}}title in estimation output{p_end}
{synopt:{cmd:e(chi2type)}}{cmd:LR}; type of model chi-squared test{p_end}
{synopt:{cmd:e(vce)}}{it:vcetype} specified in {cmd:vce()}{p_end}
{synopt:{cmd:e(vcetype)}}title used to label Std. Err.{p_end}
{synopt:{cmd:e(ml_method)}}type of {cmd:ml} method{p_end}
{synopt:{cmd:e(user)}}name of likelihood-evaluator program{p_end}
{synopt:{cmd:e(technique)}}maximization technique{p_end}
{synopt:{cmd:e(crittype)}}optimization criterion{p_end}
{synopt:{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt:{cmd:e(predict)}}program used to implement {cmd:predict}{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Matrices}{p_end}
{pstd}{it:Second-step estimation:}{p_end}
{synopt:{cmd:e(b)}}coefficient vector{p_end}
{synopt:{cmd:e(ilog)}}iteration log (up to 20 iterations){p_end}
{synopt:{cmd:e(gradient)}}gradient vector{p_end}
{synopt:{cmd:e(V)}}variance-covariance matrix of the estimators{p_end}
{pstd}{it:First-step estimation:} not reported when option {it:startvalues} specified {p_end}
{synopt:{cmd:e(b_1)}}coefficient vector of first-step estimation; matrix specified by user if
option {it:startvalues} is chosen{p_end}
{synopt:{cmd:e(V_1)}}variance-covariance matrix of first-step estimators{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}marks estimation sample{p_end}
{p2colreset}{...}
